Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1572927 - Review Request: python-fabric3 - Python3-compatible fork of Fabric
Summary: Review Request: python-fabric3 - Python3-compatible fork of Fabric
Keywords:
Status: CLOSED DUPLICATE of bug 1572928
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-28 20:25 UTC by Othman Madjoudj
Modified: 2018-05-24 22:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-24 22:52:42 UTC
Type: ---


Attachments (Terms of Use)

Description Othman Madjoudj 2018-04-28 20:25:09 UTC
Spec URL: https://athmane.fedorapeople.org/review/python-fabric3.spec
SRPM URL: https://athmane.fedorapeople.org/review/python-fabric3-1.13.1.post1-1.fc28.src.rpm
Description:
Fabric3 is a fork of Fabric to provide compatability with Python 3.4+.
The port still works with Python 2.7.

Fedora Account System Username: athmane

Comment 1 Dick Marinus 2018-05-24 18:37:47 UTC
Informal review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 126 files have
     unknown license. Detailed output of licensecheck in
     /home/meeuw/git/fedora/python-fabric3/review-python-
     fabric3/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-fabric3-1.13.1-3.post1.fc28.noarch.rpm
          python-fabric3-1.13.1-3.post1.fc28.src.rpm
python3-fabric3.noarch: E: description-line-too-long C files to, and run shell commands on, a number of servers in parallel or serially.
python3-fabric3.noarch: W: no-manual-page-for-binary fab3
python-fabric3.src: E: description-line-too-long C files to, and run shell commands on, a number of servers in parallel or serially.
python-fabric3.src:39: W: unversioned-explicit-provides python3-fabric
python-fabric3.src:40: W: unversioned-explicit-provides fabric3
python-fabric3.src:41: W: unversioned-explicit-provides fab3
2 packages and 0 specfiles checked; 2 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-fabric3.noarch: E: description-line-too-long C files to, and run shell commands on, a number of servers in parallel or serially.
python3-fabric3.noarch: W: invalid-url URL: https://github.com/mathiasertl/fabric <urlopen error [Errno -2] Name or service not known>
python3-fabric3.noarch: W: no-manual-page-for-binary fab3
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
Requires
--------
python3-fabric3 (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-paramiko
    python3-six



Provides
--------
python3-fabric3:
    fab3
    fabric3
    python3-fabric
    python3-fabric3
    python3.6dist(fabric3)
    python3dist(fabric3)



Source checksums
----------------
https://github.com/mathiasertl/fabric/archive/1.13.1.post1/fabric-1.13.1.post1.tar.gz :
  CHECKSUM(SHA256) this package     : 9d3e23725cf9d9fd554b09840e9aaaf2309da8932ce97776e33e6611797766c2
  CHECKSUM(SHA256) upstream package : 9d3e23725cf9d9fd554b09840e9aaaf2309da8932ce97776e33e6611797766c2


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n python-fabric3
Buildroot used: fedora-28-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Othman Madjoudj 2018-05-24 22:52:42 UTC
This is a duplicate of 1572928, I guess the data was posted twice.

*** This bug has been marked as a duplicate of bug 1572928 ***


Note You need to log in before you can comment on or make changes to this bug.